Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Reactions

Get Comment Reactions
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}/reactions
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}/reactions
Get a list of content comment reactions.
Default sort is by type in ascending order.

type - This field displays the type of the reaction. Currently, the available types to filter on are:
  • Like
  • Love
  • Haha
  • Wow
  • Sad
  • Angry

Please note: Comments and reactions must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
type string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"498e487a-d6a2-4dfc-b094-1253f634a392","userId":"b42fc77d-0941-4699-a7fa-6972d8a5c8e5","type":"Angry","creationDateTime":"2026-10-20T13:42:10.6756728+00:00"},{"id":"632178b3-7e90-4a72-98a9-de2c52c5b5c3","userId":"a072da2e-6757-4ed7-8967-4f1df7bd19a3","type":"Like","creationDateTime":"2026-10-20T14:42:10.6756728+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   type string      
   userId string / guid      
  nextUrl string      
  previousUrl string